]> www.pilppa.org Git - linux-2.6-omap-h63xx.git/commitdiff
kconfig: made check-lxdialog more portable
authorSam Ravnborg <sam@uranus.ravnborg.org>
Thu, 1 May 2008 17:29:47 +0000 (19:29 +0200)
committerSam Ravnborg <sam@uranus.ravnborg.org>
Thu, 1 May 2008 17:29:47 +0000 (19:29 +0200)
OS-X shell did not like 'echo -e' so implement
suggestion from Al Viro to use a more portable construct.

Signed-off-by: Sam Ravnborg <sam@ravnborg.org>
Cc: Al Viro <viro@ZenIV.linux.org.uk>
Acked-By: Timur Tabi <timur@freescale.com>
scripts/kconfig/lxdialog/check-lxdialog.sh

index 62e1e02126e61d5cde4945c9d7f922153ea6f90e..5552154cbedb723411708a2723f1a4f07a30890f 100644 (file)
@@ -36,8 +36,10 @@ trap "rm -f $tmp" 0 1 2 3 15
 
 # Check if we can link to ncurses
 check() {
-       echo -e " #include CURSES_LOC \n main() {}" |
-           $cc -xc - -o $tmp 2> /dev/null
+        $cc -xc - -o $tmp 2>/dev/null <<'EOF'
+#include CURSES_LOC
+main() {}
+EOF
        if [ $? != 0 ]; then
            echo " *** Unable to find the ncurses libraries or the"       1>&2
            echo " *** required header files."                            1>&2